org.springframework.cloud.dataflow.rest.job.support

## Enum TaskletType

- java.lang.Object
- - java.lang.Enum<TaskletType>
  - - org.springframework.cloud.dataflow.rest.job.support.TaskletType

- All Implemented Interfaces:
    Serializable, Comparable<TaskletType>

      public enum TaskletType
      extends Enum<TaskletType>

  Types of `Tasklet` implementations known by Spring Task. These include tasklets provided by Spring Batch and Spring for Apache Hadoop.
  Since:
    1.0
  Author:
    Michael Minella, Glenn Renfro

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALLABLE_TASKLET_ADAPTER` `CallableTaskletAdapter`
    `CHUNK_ORIENTED_TASKLET` `ChunkOrientedTasklet`
    `METHOD_INVOKING_TASKLET_ADAPTER` `MethodInvokingTaskletAdapter`
    `SYSTEM_COMMAND_TASKLET` `SystemCommandTasklet`
    `UNKNOWN` Used when the type of tasklet is unknown to the system

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskletType` | `fromClassName(String className)`
    `String` | `getClassName()`
    `String` | `getDisplayName()`
    `static TaskletType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskletType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHUNK_ORIENTED_TASKLET

          public static final TaskletType CHUNK_ORIENTED_TASKLET

      `ChunkOrientedTasklet`

    - #### SYSTEM_COMMAND_TASKLET

          public static final TaskletType SYSTEM_COMMAND_TASKLET

      `SystemCommandTasklet`

    - #### CALLABLE_TASKLET_ADAPTER

          public static final TaskletType CALLABLE_TASKLET_ADAPTER

      `CallableTaskletAdapter`

    - #### METHOD_INVOKING_TASKLET_ADAPTER

          public static final TaskletType METHOD_INVOKING_TASKLET_ADAPTER

      `MethodInvokingTaskletAdapter`

    - #### UNKNOWN

          public static final TaskletType UNKNOWN

      Used when the type of tasklet is unknown to the system

  - ### Method Detail

    - #### values

          public static TaskletType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskletType c : TaskletType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskletType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromClassName

          public static TaskletType fromClassName(String className)

      Parameters:
        `className` - the fully qualified name of the `Tasklet` implementation
      Returns:
        the type if known, otherwise `UNKNOWN`

    - #### getClassName

          public String getClassName()

      Returns:
        the name of the class the current value represents

    - #### getDisplayName

          public String getDisplayName()

      Returns:
        the value to display in the UI or return via the REST API

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.